#!/bin/sh


CONTAINER_TEST=$(docker ps -a | grep Nextcloud | awk '{print $1}')

if [ -n $CONTAINER_TEST ]; then
	docker rm -f Nextcloud
fi

docker create --name=Nextcloud \
	--restart=unless-stopped \
    -e PUID=999 \
    -e PGID=999 \
	-v /volume1/Docker/Nextcloud:/var/www/html \
	-p 32680:80 \
	nextcloud:latest

docker start Nextcloud
sleep 5

case "$APKG_PKG_STATUS" in
	upgrade)
		mkdir /volume1/Docker/Nextcloud/backup_data
		cp -af /usr/local/AppCentral/docker-ce/docker_lib/volumes/nextcloud_data/_data/data/. /volume1/Docker/Nextcloud/backup_data/
		docker volume rm nextcloud_data
		;;
	*)
		;;
esac

exit 0
